kdeconnect (22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:19 +0100

kdeconnect (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:36 +0100

kdeconnect (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Build depend on plasma-wayland-protocols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:39 +0100

kdeconnect (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Patch for nautilus 43 compatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 17 Aug 2022 10:55:14 -0700

kdeconnect (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:04 +0100

kdeconnect (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:03 +0100

kdeconnect (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:25 +0100

kdeconnect (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:32 +0100

kdeconnect (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:08 +0000

kdeconnect (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:36 +0000

kdeconnect (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:26 +0000

kdeconnect (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:29 +0000

kdeconnect (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:04:40 +0000

kdeconnect (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:47 +0000

kdeconnect (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update build deps from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:59 +0000

kdeconnect (21.08.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't depend for now on fuse3 or sshfs >= 3 until fuse3
      transition is complete in Ubuntu.
    - Runtime depend on qml-module-org-kde-qqc2desktopstyle.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Nov 2021 09:47:29 +0000

kdeconnect (21.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc again, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Nov 2021 08:40:51 +0100

kdeconnect (21.08.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:46 +0000

kdeconnect (21.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Disable BLHC of Salsa CI.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Oct 2021 21:57:18 +0200

kdeconnect (21.08.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against libkf5pulseaudioqt3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:39:19 +0000

kdeconnect (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:32:28 +0100

kdeconnect (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Add missing B-Ds.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 09:10:24 +0900

kdeconnect (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:00:54 +0100

kdeconnect (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:53:55 +0100

kdeconnect (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update build deps.
  * Add qml-module-org-kde-qqc2desktopstyle to runtime depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 22:11:04 +0100

kdeconnect (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:41:48 +0100

kdeconnect (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:38:20 +0100

kdeconnect (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:04:59 +0100

kdeconnect (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Added myself to the uploaders.
  * Update build dependencies from cmake.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:57:54 +0900

kdeconnect (21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)
  * Update build deps.
  * Update install files.

  [ José Manuel Santamaría Lema ]
  * Add lintian override for *.desktop service file

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:33:39 +0100

kdeconnect (20.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Add Breaks: fuse (<< 3) and Depends: fuse3 (>= 3) and bump sshfs Depends
    to (>= 3) to ensure fuse gets replaced by fuse3 on upgrades from buster.
    (Thanks to Andreas Beckmann) (Closes: #990764)

 -- Norbert Preining <norbert@preining.info>  Wed, 07 Jul 2021 04:16:39 +0900

kdeconnect (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Mar 2021 22:43:49 +0100

kdeconnect (20.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Fella ]
  * Drop now unnecessary dependency to kde-cli-tools.

  [ Pino Toscano ]
  * New upstream release.
  * Update upstream GPG signing key.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the unused kdeconnect-app.lintian-overrides file.
  * Rename docs to kdeconnect.docs, to make it clear which package it refers
    to.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:06:51 +0100

kdeconnect (20.12.0-4) unstable; urgency=medium

  * Add Breaks+Replaces: kdeconnect (<< 20.12) (Closes: #979420).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 06 Jan 2021 16:10:02 +0100

kdeconnect (20.12.0-3) unstable; urgency=medium

  * Remove unneeded runtime dependency kde-telepathy-kpeople.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 21:22:21 +0100

kdeconnect (20.12.0-2) unstable; urgency=medium

  * Fix runtime dependency to kpeople-vcard for vCard support.
  * Sync long description with Kubuntu.
  * Prefer the specific project homepage over the generic apps page.
  * Drop lintian override for desktop-entry-limited-to-environments, will be
    fixed upstream in the next release.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 05 Jan 2021 16:17:48 +0100

kdeconnect (20.12.0-1) unstable; urgency=medium

  * Add Recommends: kdeconnect-kpeople-vcard-plugin which is now a runtime
    dependency of kdeconnect.
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Split the Nautilus extension into its own package so it can correctly
    depend on python3-nautilus.
  * Add various missing QML runtime dependendencies, drop dependency on
    qml-module-qtquick-controls, not needed anymore.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 31 Dec 2020 12:30:27 +0100

kdeconnect (20.08.3-1) unstable; urgency=medium

  * New upstream release (20.08.3).
  * Add patch to fix Python interpreter location in Debian for the Nautilus
    extension.
  * Add lintian overrides:
    - Missing manpage for kdeconnect-app, it has no command line arguments.
    - desktop-entry-limited-to-environments, kdeconnect is really only working
      in Plasma.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 23:17:30 +0100

kdeconnect (20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Fella ]
  * Add dependency on QtQuick Particles QML module, used in the presenter.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.71.0
    - add libkf5solid-dev
  * Add lintian override for kdeconnect-app having no manual as it doesn’t
    have command line arguments.
  * Build with hardening=+all build hardening flag.
  * Review copyright information.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Bump the debhelper compatibility to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 22:53:05 +0100

kdeconnect (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch python-nautilus suggest to python3-nautilus. (Closes: #958724)

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jul 2020 07:43:53 +0200

kdeconnect (20.04.2-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * We don't need disable_networkPackageIdentityTest.patch anymore to
    pass tests.

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (1.3.5). (Closes: #940489)

  [ Nicolas Fella ]
  * Point to new website.
  * Remove suggestion of plasma-workspace.

  [ Pino Toscano ]
  * New upstream release from KDE's release-service.
  * Update Vcs-* fields.
  * Update watch file and signing key for KDE's release-service.
  * Update the patches:
    - fix_typos_in_lanlinkprovider.cpp.patch: drop, fixed upstream
    - ssl_socket_race_fix.diff: drop, fixed upstream
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.64.0
    - add kirigami2-dev, libkf5people-dev, libkf5pulseaudioqt-dev,
      libkf5wayland-dev, and qtmultimedia5-dev
    - remove libkf5config-dev, and libkf5declarative-dev
    - explicitly add gettext
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Unregister the removed /etc/xdg/autostart/kdeconnectd.desktop conffile.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add the qml-module-org-kde-kirigami2 and qml-module-org-kde-people
    dependencies, as hinted by the build system.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway
    - drop the libqca-qt5-2-plugins build dependency, no more needed now
  * Temporarily enable the diffie-hellman-group14-sha1 key exchange algorithm,
    as the Android application still uses it; backport the
    kdeconnect-openssh-8.2.patch Arch Linux patch done by Antonio Rojas.
    (Closes: #953843)

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jun 2020 09:59:36 +0200

kdeconnect (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Add ssl_socket_race_fix.diff to fix a race condition on tests.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 30 Dec 2018 17:33:01 -0300

kdeconnect (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify handling of build flags: debhelper since compat 9 already passes
    all the right flags to cmake, so use the dpkg-buildflags envvars to only
    link in as-needed mode.
  * Stop using the pkgkde-symbolshelper dh addon, since there are no symbols.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Drop the Debian-provided kdeconnect-cli man page: very outdated, not
    touched in the last 4 years, and thus not useful. (Closes: #900710)

 -- Pino Toscano <pino@debian.org>  Mon, 12 Nov 2018 08:57:34 +0100

kdeconnect (1.3.1-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Drop --parallel dh option, obsolete with dh >= 11
  * Update Vcs fields

  [ Nicholas D Steeves ]
  * Enable GPG signature verification of upstream tarball.
  * Add Albert Vaca Cintora's (the upstream maintainer) gpg key.
  * New upstream version 1.3.1.
  * Use 'wrap-and-sort -bst' to sort dependencies.
  * Add fix_typos_in_lanlinkprovider.cpp.patch
  * Update upstream homepage URL.
  * Use secure URL for copyright format.
  * Add upstream metadata.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 01 Jun 2018 16:07:13 -0400

kdeconnect (1.3.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (1.2.1).
  * Set the team as the maintainer
  * Drop plasma-workspace runtime dependency
  * Update testsuite
  * Bump to Standards-Version 4.1.4
  * Add suggests:
     + plasma-workspace, for the plasmoid
     + python-nautilus for the nautilus integration
  * New upstream release (1.3.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * Refresh patches
  * Release to unstable

  [ Vangelis Mouhtsis ]
  * debian/{control,compat}: Bump DH version level to 11.
  * debian/control: Bump Standards-Version: to 4.1.3. No changes needed.
  * debian/control: Update Vcs-*: fields to salsa.debian.org.

  [ Scarlett Clark ]
  * Add missing qml modules

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Apr 2018 17:24:16 +0200

kdeconnect (1.0.3-1) unstable; urgency=medium

  * New upstream release (1.0.3).
  * debian/watch: use https
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Update vcs fields
  * Update Homepage field
  * Update build-deps and deps with the info from cmake
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Refresh patches
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Jul 2017 20:22:08 +0200

kdeconnect (1.0.1-1) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release (Closes: #833650).
  * Update debian/watch: kdeconnect is now stable.

  [ Diederik de Haas ]
  * Update homepage (Closes: #802189).

  [ Maximiliano Curia ]
  * New upstream release (1.0.1).
  * Refresh patches
  * Use dbus-run-session instead of dbus-launch
  * Update copyright information.

  [ Harald Sitter ]
  * do not run tests at build time
  * run test through xvfb as we now need workign xcb for some tests
  * install openbox, it's being forked as part of the test...
  * force all tests to fork kio slaves from themself

  [ Jonathan Riddell ]
  * add xvfb install for tests

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Oct 2016 16:21:07 +0200

kdeconnect (0.9g-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to KF5.
    - Remove all Qt4/Plasma 4 related packages from build dpendencies and
      dependencies.
    - Add new build dependencies and dependencies as required. Thanks to the
      Ubuntu folks for they work! I have taken most of the correct build deps
      names from your packaging.
    - Remove unnecessary removals in debian/rules.
  * Update README.md installation.
  * Disable NetworkPackageTests::networkPackageIdentityTest as it seems to
    run fine with network access but fail without it (and thus on sbuild).
  * Add libqca-qt5-2-plugins as a build dependency, it is needed by the tests.
  * Update lintian overrides.
  * Update and simplify debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 05 Feb 2016 00:53:25 -0300

kdeconnect (0.8-1) unstable; urgency=medium

  * New upstream version.
  * Update copyright.
  * Update standards version; no changes needed.
  * debian/control:
      - Add libfakekey-dev and libdbus-1-dev as a build dependency.
      - Change runtime depend to libqca2-plugins instead of deprecated
          libqca2-plugins-{gnupg, ossl} packages.
      - Update Vcs-Browser to use cgit.
  * Remove some older false positives in lintian overrides that are fixed:
      - 'desktop-command-not-in-package' for kcmshell4.
      - 'desktop-entry-lacks-keywords-entry' for kdeconnect.desktop.

 -- David Suárez <david.sephirot@gmail.com>  Sun, 21 Jun 2015 14:15:31 +0200

kdeconnect (0.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch 'provide-versioned-so-for-kdeconnectcore'.
      Upstream implemented it.
  * Add sshfs as a runtime dependency (Closes: #754300).
      Is needed to remote browsing the devices filesystems.

 -- David Suárez <david.sephirot@gmail.com>  Mon, 08 Sep 2014 20:27:20 +0200

kdeconnect (0.7-1) unstable; urgency=medium

  * New upstream version. (Closes: #753391)
  * Add 'provide-versioned-so-for-kdeconnectcore' patch.
  * Update lintian overrides.
  * debian/rules: remove more development files in order to avoid
      shipping them.
  * debian/control: add libxtst-dev as a build dependency.

 -- David Suárez <david.sephirot@gmail.com>  Tue, 01 Jul 2014 18:11:53 +0200

kdeconnect (0.5.2.1-1) unstable; urgency=low

  * New upstream version
  * Drop 'remove-xdg-open-shebang' patch
  * Point Vcs headers to debian git repository
  * Update copyright file

 -- David Suárez <david.sephirot@gmail.com>  Sun, 18 May 2014 15:50:33 +0200

kdeconnect (0.4.2-2) unstable; urgency=low

  * Add libqca2-plugin-gnupg and libqca2-plugin-ossl runtime depends.
    (Closes: #735850)

 -- David Suárez <david.sephirot@gmail.com>  Mon, 27 Jan 2014 19:56:34 +0100

kdeconnect (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #734374)

 -- David Suárez <david.sephirot@gmail.com>  Sun, 12 Jan 2014 02:14:23 +0100
